﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单交办处理结果
    /// </summary>
    [Description("服务工单交办处理结果")]
    public class DsGetCaseResultReceive : CreationModificationEntity
    {
        /// <summary>
        /// 答复单位
        /// </summary>
        [SugarColumn(ColumnDescription = "答复单位", ColumnDataType = "varchar(200)")]
        public string DeptName { get; set; }

        /// <summary>
        /// 答复时间
        /// </summary>
        [SugarColumn(ColumnDescription = "答复时间")]
        public DateTime? FinishTime { get; set; }

        /// <summary>
        /// 答复人员
        /// </summary>
        [SugarColumn(ColumnDescription = "答复人员", ColumnDataType = "varchar(200)")]
        public string FinishName { get; set; }

        /// <summary>
        /// 办理情况
        /// </summary>
        [SugarColumn(ColumnDescription = "办理情况", ColumnDataType = "text")]
        public string FinishNote { get; set; }

        /// <summary>
        /// 办理操作
        /// </summary>
        [SugarColumn(ColumnDescription = "办理操作", ColumnDataType = "varchar(10)")]
        public string FinishType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [SugarColumn(ColumnDescription = "办理单位", ColumnDataType = "varchar(200)")]
        public string EndDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "办理人员", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string? EndName { get; set; }

        /// <summary>
        /// 联系时间
        /// </summary>
        [SugarColumn(ColumnDescription = "联系时间")]
        public DateTime? ConcactTime { get; set; }

        /// <summary>
        /// 联系方式
        /// </summary>
        [SugarColumn(ColumnDescription = "联系方式", ColumnDataType = "varchar(50)")]
        public string ConcactType { get; set; }

        /// <summary>
        /// 签收时间
        /// </summary>
        [SugarColumn(ColumnDescription = "签收时间")]
        public DateTime? SignTime { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈时间")]
        public DateTime? FdBackTime { get; set; }

        /// <summary>
        /// 交办时间
        /// </summary>
        [SugarColumn(ColumnDescription = "交办时间")]
        public DateTime? SendTime { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈意见", ColumnDataType = "text")]
        public string FdBack { get; set; }

        /// <summary>
        /// 办理时长
        /// </summary>
        [SugarColumn(ColumnDescription = "办理时长")]
        public Double HandleTimeLong { get; set; }

        /// <summary>
        /// 区县区域代码
        /// </summary>
        [SugarColumn(ColumnDescription = "区县区域代码", ColumnDataType = "varchar(50)")]
        public string EndAreaCode { get; set; }

        /// <summary>
        /// 区县区域名称
        /// </summary>
        [SugarColumn(ColumnDescription = "区县区域名称", ColumnDataType = "varchar(50)")]
        public string EndAreaName { get; set; }

        /// <summary>
        /// 工单办理过程中交办单位
        /// </summary>
        [SugarColumn(ColumnDescription = "工单办理过程中交办单位", ColumnDataType = "varchar(200)")]
        public string BeiZhu { get; set; }

        /// <summary>
        /// 统一社会信用代码
        /// </summary>
        [SugarColumn(ColumnDescription = "统一社会信用代码", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string? OperateDeptCode { get; set; }

        /// <summary>
        /// 任务单关联 guid
        /// </summary>
        [SugarColumn(ColumnDescription = "任务单关联 guid", ColumnDataType = "varchar(50)")]
        public string TrowGuid { get; set; }

        /// <summary>
        /// 是否提供公开答复口径
        /// </summary>
        [SugarColumn(ColumnDescription = "是否提供公开答复口径", ColumnDataType = "varchar(2)", IsNullable = true)]
        public string? MsgOpenByArea { get; set; }

        /// <summary>
        /// 地方不公开处理结果原因
        /// </summary>
        [SugarColumn(ColumnDescription = "地方不公开处理结果原因", ColumnDataType = "varchar(1000)", IsNullable = true)]
        public string? AreaNotPublicReason { get; set; }

        /// <summary>
        /// 地方公开答复口径
        /// </summary>
        [SugarColumn(ColumnDescription = "地方公开答复口径", ColumnDataType = "varchar(1000)", IsNullable = true)]
        public string? FeedBackAnswerContent { get; set; }

        /// <summary>
        /// 反馈人电话号码
        /// </summary>
        [SugarColumn(ColumnDescription = "反馈人电话号码", ColumnDataType = "varchar(11)", IsNullable = true)]
        public string? FeedBackTel { get; set; }

        /// <summary>
        /// 备注-办理单位备注，仅审核可见，群众不可见，无备注填“无”
        /// </summary>
        [SugarColumn(ColumnDescription = " 备注-办理单位备注，仅审核可见", ColumnDataType = "text", IsNullable = true)]
        public string? Notes { get; set; } = "无";

        /// <summary>
        /// 事件类型
        /// </summary>
        [SugarColumn(ColumnDescription = "事件类型", ColumnDataType = "varchar(10)", IsNullable = true)]
        public string? EventType { get; set; }

        /// <summary>
        /// 事件名称
        /// </summary>
        [SugarColumn(ColumnDescription = "事件名称", ColumnDataType = "varchar(100)", IsNullable = true)]
        public string? Eventname { get; set; }

        /// <summary>
        /// 是否与网民取得联系
        /// </summary>
        [SugarColumn(ColumnDescription = "是否与网民取得联系", ColumnDataType = "varchar(5)", IsNullable = true)]
        public string? ContactFlag { get; set; }

        /// <summary>
        /// 是否邀请网民评价
        /// </summary>
        [SugarColumn(ColumnDescription = "是否邀请网民评价", ColumnDataType = "varchar(5)", IsNullable = true)]
        public string? AssessFlag { get; set; }

        /// <summary>
        /// 网民评价类型0：不满意；1： 满意；2：表示理解
        /// </summary>
        [SugarColumn(ColumnDescription = "网民评价类型", ColumnDataType = "varchar(5)", IsNullable = true)]
        public string? AssessOpinion { get; set; }

        /// <summary>
        /// 网民评价内容
        /// </summary>
        [SugarColumn(ColumnDescription = "网民评价内容", ColumnDataType = "varchar(3000)", IsNullable = true)]
        public string? AssessContent { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string? CliengGuid { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string? AreaCode { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string? ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }
}
